import {ParamRequestDecorator} from '../../../../backend/common';

declare module '../../../../backend/common' {
	interface RequestContext {
		basePath: string;
	}
}

export const decorateRequestWithBasePath: ParamRequestDecorator<[string]> = (basePath) => (req) => {
	req.basePath = basePath;

	return req;
}
